/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_RESPOSINSPEC                                             */
/* Tabela : RESPOSINSPEC                                                      */
/*                                                                            */
/* Criao:                                                                   */
/* 18/02/2003 - Luiz Otvio de Souza                                          */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_RESPOSINSPEC
BEFORE INSERT OR UPDATE OR DELETE
ON RESPOSINSPEC FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATURINS:= SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDRESPINSPEC,0) <> NVL(:NEW.CDRESPINSPEC,0)) OR
         (NVL(:OLD.NMRESPINSPEC,0) <> NVL(:NEW.NMRESPINSPEC,0)) OR
         (NVL(:OLD.VRPONTRESINS,0) <> NVL(:NEW.VRPONTRESINS,0)) OR
         (NVL(:OLD.IDFAIXRESINS,0) <> NVL(:NEW.IDFAIXRESINS,0)) OR
         (NVL(:OLD.VRINIFAIXRES,0) <> NVL(:NEW.VRINIFAIXRES,0)) OR 
         (NVL(:OLD.VRFINFAIXRES,0) <> NVL(:NEW.VRFINFAIXRES,0)) OR
         (NVL(:OLD.CDVERSAO,0) <> NVL(:NEW.CDVERSAO,0)) OR
         (NVL(:OLD.CDINSPECAO,0)   <> NVL(:NEW.CDINSPECAO,0)) THEN
         :NEW.DTULTATURINS:= SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('RESPOSINSPEC', '', 'CDINSPECAO='||:OLD.CDINSPECAO||';CDRESPINSPEC='||:OLD.CDRESPINSPEC||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE RESPOSINSPEC MODIFY DTULTATURINS DEFAULT SYSDATE
/

