/* Tabela CLIENTE: Tabela de Cliente*/
/* Descrio: A trigger insere registros na tabela LOGOPERA a partir de alteraes na tabela CLIENTE*/
/* Objetivo: Gerar um log que vai registrar as alteraes na tela de cliente relacionado s Tabelas de Ramo de Atividade,
             utilizando a tabela Geral de Logs de Operaes*/
CREATE OR REPLACE TRIGGER LOG_PED_CLIENTE
AFTER DELETE
ON CLIENTE  FOR EACH ROW
DECLARE
  V_DSREMOTEADDR VARCHAR2(15);
  V_DSREMOTEHOST VARCHAR2(15);
  V_DSSERVERRDM  VARCHAR2(20);
  V_DSSERVMETHOD VARCHAR2(30);
  V_DSREMOTEOPER VARCHAR2(12);
  V_DESC         VARCHAR2(500);
  V_CDFILLOGOPER VARCHAR2(4);
  V_ITPESQ       VARCHAR2(40);
  V_NMOPERADOR   VARCHAR2(40);
  V_IDTIPOOPER   VARCHAR2(1);
BEGIN
/* IDTIPOOPER - '1' - Incluso, '2' - Alterao, '3' - Excluso*/
   V_DESC         := '';
   V_ITPESQ       := '';
   V_NMOPERADOR   := '';
   V_IDTIPOOPER   := '';
   V_CDFILLOGOPER := '';
   NMUSUARIO(V_NMOPERADOR);
   WEBTUNNING(V_DSREMOTEADDR,
              V_DSREMOTEHOST,
              V_DSSERVERRDM,
              V_DSSERVMETHOD,
              V_DSREMOTEOPER);
   V_DESC   := 'Cliente '  || '' || :OLD.CDCLIENTE || ' ' ||
               'Ramo de Atividade ' || '' || :OLD.CDATIVCLI;
   V_ITPESQ       := :OLD.CDCLIENTE||:OLD.CDATIVCLI;
   V_CDFILLOGOPER := '';
   V_IDTIPOOPER := '3';
   V_DESC := SUBSTR(V_DESC, 1, 300);
   INSERT INTO LOGOPERA
      (NMTABELA,
       DTOPERACAO,
       NMRESPOPER,
       IDTIPOOPER,
       DSOPERACAO,
       CDPESQITEM,
       DSRDMUSUOPER,
       DSENDUSUOPER,
       DSNMUSUOPER,
       DSMETUSUOPER,
       CDORESPOPER,
       CDFILLOGOPER)
   VALUES
      ('CLIENTE',
       SYSDATE,
       NVL(V_NMOPERADOR,' '),
       V_IDTIPOOPER,
       V_DESC,
       V_ITPESQ,
       V_DSSERVERRDM,
       V_DSREMOTEADDR,
       V_DSREMOTEHOST,
       V_DSSERVMETHOD,
       V_DSREMOTEOPER,
       V_CDFILLOGOPER);
END;
/